Bug 193071

Summary: [update]: net/prosearch update to version 0.19.4
Product: Ports & Packages Reporter: proler
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: vanilla
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   

Description proler 2014-08-27 17:22:08 UTC
The attached patch contains an update for CATEGORY/PORT to version VERSION.

diff -ruN /usr/ports/net/prosearch/Makefile ./Makefile
--- /usr/ports/net/prosearch/Makefile   2014-07-29 22:41:15.000000000 +0400
+++ ./Makefile  2014-08-27 21:10:44.000000000 +0400
@@ -1,8 +1,7 @@
 # $FreeBSD: head/net/prosearch/Makefile 363371 2014-07-29 18:41:15Z adamw $

 PORTNAME=      prosearch
-PORTVERSION=   0.19.2
-PORTREVISION=  1
+PORTVERSION=   0.19.4
 #PORTREVISION= 1
 CATEGORIES=    net www
 MASTER_SITES=  http://pro.setun.net/search/download/ SF/pro-search/pro-search/${PORTVERSION}
@@ -38,7 +37,6 @@

 #              NGINX "With web server deps (NGINX)" off

-NO_STAGE=      yes
 .include <bsd.port.options.mk>

 RUN_DEPENDS+=\
@@ -135,9 +133,9 @@
 WRKSRC=        ${WRKDIR}/search

 do-install:
-       @cd ${WRKSRC} && ${COPYTREE_SHARE} . ${PREFIX}/${SEARCHDIR}/
-       @${CHOWN} -R ${WWWOWN}:${WWWGRP} ${PREFIX}/${SEARCHDIR}
-       @${CHMOD} +x ${PREFIX}/${SEARCHDIR}/crawler.pl ${PREFIX}/${SEARCHDIR}/010.search.purge ${PREFIX}/${SEARCHDIR}/*.sh.* ${PREFIX}/${SEARCHDIR}/web/*.*cgi
+       @cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${PREFIX}/${SEARCHDIR}/
+       @${CHOWN} -R ${WWWOWN}:${WWWGRP} ${STAGEDIR}${PREFIX}/${SEARCHDIR}
+       @${CHMOD} +x ${STAGEDIR}${PREFIX}/${SEARCHDIR}/crawler.pl ${STAGEDIR}${PREFIX}/${SEARCHDIR}/010.search.purge ${STAGEDIR}${PREFIX}/${SEARCHDIR}/*.sh.* ${STAGEDIR}${PREFIX}/${SEARCHDIR}/web/*.*cgi
        @${ECHO_CMD} @exec ${CHOWN} -R ${WWWOWN}:${WWWGRP} \
                ${SEARCHDIR:S|^${PREFIX}/|%D/|} >> ${TMPPLIST}

diff -ruN /usr/ports/net/prosearch/distinfo ./distinfo
--- /usr/ports/net/prosearch/distinfo   2014-01-22 19:30:13.000000000 +0400
+++ ./distinfo  2014-08-27 21:10:54.000000000 +0400
@@ -1,2 +1,2 @@
-SHA256 (prosearch-0.19.2.tar.bz2) = 3bf5b90a1f8d66a20cc699ed487708a719e31f6217aa1856f009565d33ffe9fb
-SIZE (prosearch-0.19.2.tar.bz2) = 400435
+SHA256 (prosearch-0.19.4.tar.bz2) = a7a81a11fd9cf4e779748eab76c6266d2945e3cd2649c42d08a69037791dc698
+SIZE (prosearch-0.19.4.tar.bz2) = 422617
Comment 1 commit-hook freebsd_committer 2014-08-28 02:38:06 UTC
A commit references this bug:

Author: vanilla
Date: Thu Aug 28 02:37:48 UTC 2014
New revision: 366366
URL: http://svnweb.freebsd.org/changeset/ports/366366

Log:
  1: Upgrade to 0.19.4.
  2: Stagify.

  PR:		ports/193071
  Submitted by:	<proler gmail.com>

Changes:
  head/net/prosearch/Makefile
  head/net/prosearch/distinfo
  head/net/prosearch/pkg-plist
Comment 2 Vanilla I. Shu freebsd_committer 2014-08-28 02:38:31 UTC
Committed, thanks.

You should run 'make check-orphans' before submit.